// pages/monitor/index.js
const util = require('../../utils/util.js')

Page({

  /**
   * 页面的初始数据
   */
  data: {
 // 状态栏高度
 statusBarHeight: wx.getStorageSync('statusBarHeight'),
 // 导航栏高度
 navBarHeight: wx.getStorageSync('navBarHeight'),

 // 导航栏和状态栏高度
 navStatusBarHeight: wx.getStorageSync('navStatusBarHeight'),

 // 胶囊
 menu:wx.getStorageSync('menu'),
 tabsindex:1,
 img_path:''
  },
  ontabs(e){
console.log(e.currentTarget.dataset.index);
this.setData({
  tabsindex:e.currentTarget.dataset.index
})
  },
    // 返回上一级
    onIconTap(){
      wx.navigateBack({
        delta: 1
      });
    },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let base64imgages =util.Background_base64('imgages/bj.png')
    this.setData({
     img_path:base64imgages
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})